Subject: Re: 26.1.50; Properly set completion-at-point-functions in eshell

From: Carlos Pita <[email-masked]>
Date: Wed, 20 Jun 2018 00:38:47 -0300

Well, inspecting the code a bit more I conclude that all of the above
is in order to make completion-at-point work as a fallback for some
corner cases that break pcomplete, hence the same completion functions
should be installed for both completion mechanisms, although M-<Tab>
can't access them. This has the happy consequence that company sees
the more relevant completions (the <Tab> ones). It's hackish but I
think this can be closed (although the obsolete name
lisp-completion-at-point could be updated).